Add a new share name for a shared folder or drive

To add a new share name for a shared folder or drive

  1. Open Windows Explorer, and then locate the shared folder or drive to which you want to add a new share name.
  2. Right-click the shared folder or drive, and then click Sharing.
  3. Click New Share, and then type a name in Share Name.
  4. Set any other options you want to change.

Notes

  • To share folders and drives, you must be logged on as a member of the Administrators, Server Operators, or Power Users group.
  • To open Windows Explorer, click Start, point to Programs, point to Accessories, and then click Windows Explorer.
  • If the New Share button is not there, then the folder has not been shared. Click Share this folder to share the folder.
  • You can hide the shared folder from browsing by typing $ as the last character of the share name. Users will not be able to see this shared folder when they browse using Windows Explorer or My Computer, but they can map to it.
  • The Remove Share button appears when you have shared the folder or drive using more than one name. To remove one of the share names, click it in Share name, and then click Remove Share.

Related Topics


Open a shared folder on another computer

To open a shared folder on another computer

  1. On the desktop, double-click My Network Places.
  2. Locate and double-click the computer in which the shared folder is located.
  3. Double-click the shared folder you want to open.

Notes

  • You can assign a drive letter for shared folders that you connect to often. To find out how, see Related Topics.
  • To see more computers in the My Network Places window, click Entire Network.


Shared folder permissions

You can set the following shared folder permissions for files and folders through a shared folder or drive. The following table shows shared folder permissions and the actions on shared folders available to users for each permission.

Action | Full Control | Change | Read
Viewing file names and subfolder names | x | x | x
Traversing to subfolders | x | x | x
Viewing data in files and running programs | x | x | x
Adding files and subfolders to the shared folder | x | x |
Changing data in files | x | x |
Deleting subfolders and files | x | x |
Changing permissions (NTFS only) | x |  |
Taking ownership (NTFS only) | x |  |


Securing shared drives

In Windows 2000, all drives on your computer, such as drive C or D, are automatically shared using the name drive letter$, such as C$ or D$. These drives are not shown with the hand icon that indicates sharing in My Computer or Windows Explorer, and they are also hidden when users connect to your computer remotely.

However, any user can gain access to your computer over a network or the Internet if the user knows your computer name, and the user name and password of a user who is a member of the Administrators, Backup Operators, or Server Operators group. A user who gains access to your drive over the network or Internet can view all folders and files on that drive, even those that are protected using NTFS permissions, provided the NTFS permissions allow access to members of the Administrators, Backup Operators, or Server Operators group.

To keep your drives secure, you should:

  • Create a difficult password for the Administrator account. Many people leave this password blank, which leaves the computer vulnerable to security breaches because any user can log on as the Administrator using a blank password. It is also a good idea to rename the Administrator account using the Local Users and Groups snap-in.

If for some reason you must leave your Administrator password blank, you can disable sharing by doing one of the following:

  • Disable the Server service. Disabling this service removes the ability to share folders on your computer. No user will be able to connect to any drive or folder on your computer. However, you can still access shared folders on other computers. When you disable the Server service, under Startup, be sure to click Manual or Disabled or else the service will start the next time the computer is restarted.
  • Uninstall File and Printer Sharing for Microsoft Networks. This option appears when you view the properties of any connection in Network and Dial-up Connections. Click the Uninstall button to remove this component; clearing the File and Printer Sharing for Microsoft Networks check box will not work.

Note

  • To stop sharing a drive temporarily, right-click it, click Sharing, and then click Do not share this folder. However, keep in mind that Windows 2000 will share the drive again once the computer is restarted.


Set, view, or remove permissions for a shared folder or drive

To set, view, or remove permissions for a shared folder or drive

  1. Open Windows Explorer, and then locate the shared folder or drive on which you want to set permissions.
  2. Right-click the shared folder or drive, and then click Sharing.
  3. On the Sharing tab, click Permissions.
  4. To set shared folder permissions, click Add. Type the name of the group or user you want to set permissions for, and then click OK to close the dialog box.

    5. To remove permissions, select the group or user in Name, and then click Remove.

  5. In Permissions, click Allow or Deny for each permission, if necessary.

Notes

  • To share folders and drives, you must be logged on as a member of the Administrators, Server Operators, Power Users, or Users group.
  • To open Windows Explorer, click Start, point to Programs, point to Accessories, and then click Windows Explorer.
  • Shared folder permissions apply to all files and subfolders in the shared folder and are effective only when the folders or files are reached over a network. Shared folder permissions do not protect folders or files when opened locally. To protect files and folders on your local computer, use NTFS permissions, which operate in addition to shared folder permissions. For more information, see Related Topics.
  • You can set shared folder permissions whether the folder is on a drive formatted to use the NTFS, FAT, or FAT32 file system.
  • Permissions on root directories (for example, C$) cannot be changed.
  • You can use the Shared Folders snap-in to create and manage shared folders, view a list of all users who are connected to the shared folder over a network and disconnect one or all of them, and view a list of files opened by remote users and close one or all open files. You can also change permissions for shared folders on remote computers. To find out how to start Shared Folders, see Related Topics.


Share a folder or drive with other people

To share a folder or drive with other people

  1. Open Windows Explorer, and then locate the folder or drive you want to share.
  2. Right-click the folder or drive, and then click Sharing.
  3. On the Sharing tab, click Share this folder.
  4. To change the name of the shared folder or drive, type a new name in Share name. The new name is what users will see when they connect to this shared folder or drive. The actual name of the folder or drive does not change.
  5. To add a comment about the shared folder or drive, type the text in Comment.
  6. To limit the number of users who can connect to the shared folder or drive at one time, under User limit, click Allow, then enter a number of users.
  7. To set shared folder permissions on the shared folder or drive, click Permissions.
  8. To set up this shared folder to be used offline, click Caching.

Notes

  • To share folders and drives, you must be logged on as a member of the Administrators, Server Operators, or Power Users group.
  • To open Windows Explorer, click Start, point to Programs, point to Accessories, and then click Windows Explorer.
  • If the Sharing tab is not visible, try using the Services snap-in to start your Server service.
  • If the folder is already shared, click New Share and then type the new share name.
  • You can hide the shared folder from browsing by typing $ as the last character of the share name. Users will not be able to see this shared folder when they browse using My Computer or Windows Explorer, but they can map to it.
  • In Windows 2000 Professional, the maximum user limit is 10 regardless of the number you type in Allow.
  • You can use the Shared Folders snap-in to create and manage shared folders, view a list of all users who are connected to the shared folder over a network and disconnect one or all of them, and view a list of files opened by remote users and close one or all open files.


Special shared folders

Depending on the configuration of your computer, some or all of the following special shared folders are automatically created by Windows 2000 for administrative and system use. These shared folders are not visible from My Computer, but can be viewed using the Shared Folders snap-in. In most cases, special shared folders should not be deleted or modified.

drive letter$

A shared folder that allows administrative personnel to connect to the root directory of a drive. Shown as A$, B$, C$, D$, and so on. For example, D$ is a shared folder name by which drive D might be accessed by an administrator over the network.

For a Windows 2000 Professional computer, only members of the Administrators or Backup Operators group can connect to these shared folders. For a Windows 2000 Server computer, members of the Server Operators group can also connect to these shared folders.

ADMIN$

A resource used by the system during remote administration of a computer. The path of this resource is always the path to the Windows 2000 system root (the directory in which Windows 2000 is installed: for example, C:\Winnt).

IPC$

A resource sharing the named pipes that are essential for communication between programs. It is used during remote administration of a computer and when viewing a computer's shared resources.

PRINT$

A resource used during remote administration of printers.

NETLOGON

A resource used by the Net Logon service of a Windows 2000 Server computer while processing domain logon requests.

This resource is provided only for Windows 2000 Server computers. It is not provided for Windows 2000 Professional computers.

FAX$

A shared folder on a server used by fax clients in the process of sending a fax. The shared folder is used to temporarily cache files and access cover pages stored on the server.


Stop sharing a folder or drive

To stop sharing a folder or drive

  1. Open Windows Explorer, and then locate the shared folder or drive you want to stop sharing.
  2. Right-click the shared folder or drive, and then click Sharing.
  3. On the Sharing tab, click Do not share this folder.

Note

  • To open Windows Explorer, click Start, point to Programs, point to Accessories, and then click Windows Explorer.